import javax.swing.JOptionPane;

public class CadastroLivros {
  public static void main(String[] args) {
    Livro[] registros = new Livro[100];
    JOptionPane d = new JOptionPane();
    
    for (int indice = 0; indice < registros.length; indice++) {
      Livro liv = new Livro();
      String str;
      
      while (true) {
        try {
          str = d.showInputDialog("Cdigo do livro");
          if (str == null) break;
          liv.setCodigo( Integer.parseInt(str) );
          break;
        }
        catch(NumberFormatException nfe) {
          d.showMessageDialog(null,"Cdigo invlido!","Erro",0);
        }
        catch(IllegalArgumentException iae) {
          d.showMessageDialog(null,iae.getMessage(),"Erro",0);
        }
      }
      if (str == null) break;
      
      while (true) {
        try {
          str = d.showInputDialog("Ttulo do livro");
          if (str == null) break;
          liv.setTitulo( str );
          break;
        }
        catch(RuntimeException rte) {
          d.showMessageDialog(null,rte.getMessage(),"Erro",0);
        }
      }
      if (str == null) break;
      
      registros[indice] = liv;
    }
    
    String relatorio = "Relatrio de livros:";
    for (Livro li : registros) {
      if (li == null) break;
      relatorio += "\n" + li.getCodigo() + " - " + li.getTitulo();
    }
    
    d.showMessageDialog(null,relatorio);
    System.exit(0);
  }
}

/********************************************************************
 * Este arquivo  parte integrante do livro identificado abaixo e  *
 * protegido pela legislao que trata dos direitos autorais.       *
 *                                                                  *
 * Ttulo:  Programao de Computadores em Java                     *
 * Autor:   Rui Rossi dos Santos                                    *
 * Editora: NovaTerra Editora e Distribuidora Ltda.                 *
 * Ano:     2011                                                    *
 ********************************************************************/